package nccloud.dto.ic.pub.entity;

import java.util.List;

import nccloud.pubitf.platform.print.vo.PrintInfo;
import nccloud.pubitf.uap.print.vo.NoPreviewPrintInfo;
/**
 * @description 出入库汇总打印信息
 * @author zhegnxinm
 * @date 2018-12-16 上午10:48:39
 * @version ncc1.0
 */
public class GeneralSumPrintInfo extends NoPreviewPrintInfo{
    //打印数据
    private Object[] data;
    //前段传过来的数据
    private String billcard;
    //汇总类型
    private List<Boolean> alGroupBy ;
    //出入库类型
    private String inOutType;
    public String getInOutType() {
        return inOutType;
    }

    public void setInOutType(String inOutType) {
        this.inOutType = inOutType;
    }

    public List<Boolean> getAlGroupBy() {
        return alGroupBy;
    }

    public void setAlGroupBy(List<Boolean> alGroupBy) {
        this.alGroupBy = alGroupBy;
    }

    public Object[] getSelect() {
        return select;
    }

    public void setSelect(Object[] select) {
        this.select = select;
    }

    private Object[] select;
    public String getBillcard() {
        return billcard;
    }

    public void setBillcard(String billcard) {
        this.billcard = billcard;
    }

    public Object[] getData() {
        return data;
    }

    public void setData(Object[] data) {
        this.data = data;
    }

}
